HTTP API

Matchmaking

GET/api/v1/matchmaking/matches/{match_id}
GET
/api/v1/matchmaking/matches/{match_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

match_id*string

Match ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/matches/string"
{  "match_data": {    "created_at": "2019-08-24T14:15:22Z",    "match_id": "string",    "metadata": {      "property1": null,      "property2": null    },    "player_ids": [      "string"    ],    "pool_id": "string",    "status": "confirmed",    "ticket_ids": [      "string"    ]  }}
GET/api/v1/matchmaking/pools
GET
/api/v1/matchmaking/pools

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Query Parameters

q?string
page?integer
Formatint64
Range0 <= value
page_size?integer
Formatint64
Range0 <= value
sort_by?string
sort_order?string

Value in

  • "asc"
  • "desc"
filter?array<string>

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/pools"
{  "pagination": {    "has_more": true,    "page": 0,    "page_size": 0,    "total": 0  },  "pools": [    {      "capacity": 0,      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "metadata": {        "property1": null,        "property2": null      },      "mode": "streaming",      "name": "string",      "pool_id": "string",      "ruleset_id": "string",      "status": "active",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
POST/api/v1/matchmaking/pools
POST
/api/v1/matchmaking/pools

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/matchmaking/pools" \  -H "Content-Type: application/json" \  -d '{    "mode": "streaming",    "name": "string",    "pool_id": "string"  }'
{  "pool": {    "capacity": 0,    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "metadata": {      "property1": null,      "property2": null    },    "mode": "streaming",    "name": "string",    "pool_id": "string",    "ruleset_id": "string",    "status": "active",    "updated_at": "2019-08-24T14:15:22Z"  }}
GET/api/v1/matchmaking/pools/{pool_id}
GET
/api/v1/matchmaking/pools/{pool_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

pool_id*string

Pool ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/pools/string"
{  "pool": {    "capacity": 0,    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "metadata": {      "property1": null,      "property2": null    },    "mode": "streaming",    "name": "string",    "pool_id": "string",    "ruleset_id": "string",    "status": "active",    "updated_at": "2019-08-24T14:15:22Z"  }}
DELETE/api/v1/matchmaking/pools/{pool_id}
DELETE
/api/v1/matchmaking/pools/{pool_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

pool_id*string

Pool ID

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/matchmaking/pools/string"
{  "success": true}
PUT/api/v1/matchmaking/pools/{pool_id}
PUT
/api/v1/matchmaking/pools/{pool_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

pool_id*string

Pool ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/matchmaking/pools/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "pool": {    "capacity": 0,    "created_at": "2019-08-24T14:15:22Z",    "description": "string",    "metadata": {      "property1": null,      "property2": null    },    "mode": "streaming",    "name": "string",    "pool_id": "string",    "ruleset_id": "string",    "status": "active",    "updated_at": "2019-08-24T14:15:22Z"  }}
POST/api/v1/matchmaking/pools/{pool_id}/tickets
POST
/api/v1/matchmaking/pools/{pool_id}/tickets

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

pool_id*string

Pool ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/matchmaking/pools/string/tickets" \  -H "Content-Type: application/json" \  -d '{}'
{  "ticket": {    "attributes": {      "property1": null,      "property2": null    },    "created_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "group_id": "string",    "pool_id": "string",    "priority": 0.1,    "status": "waiting",    "ticket_id": "string",    "user_id": "string"  }}
GET/api/v1/matchmaking/proposals/{proposal_id}
GET
/api/v1/matchmaking/proposals/{proposal_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

proposal_id*string

Proposal ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/proposals/string"
{  "proposal": {    "created_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "pool_id": "string",    "proposal_id": "string",    "responses": {      "property1": "accepted",      "property2": "accepted"    },    "status": "pending",    "ticket_ids": [      "string"    ]  }}
POST/api/v1/matchmaking/proposals/{proposal_id}/respond
POST
/api/v1/matchmaking/proposals/{proposal_id}/respond

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

proposal_id*string

Proposal ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/matchmaking/proposals/string/respond" \  -H "Content-Type: application/json" \  -d '{    "response": "accepted"  }'
{  "match_confirmed": true,  "proposal": {    "created_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "pool_id": "string",    "proposal_id": "string",    "responses": {      "property1": "accepted",      "property2": "accepted"    },    "status": "pending",    "ticket_ids": [      "string"    ]  }}
POST/api/v1/matchmaking/rulesets
POST
/api/v1/matchmaking/rulesets

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/matchmaking/rulesets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "ruleset_id": "string",    "version": 0  }'
{  "hard_constraints": [    {      "description": "string",      "expression": null,      "rule_id": "string",      "weight": 0.1    }  ],  "metadata": {    "property1": null,    "property2": null  },  "name": "string",  "ruleset_id": "string",  "soft_preferences": [    {      "description": "string",      "expression": null,      "rule_id": "string",      "weight": 0.1    }  ],  "version": 0}
GET/api/v1/matchmaking/rulesets/{ruleset_id}
GET
/api/v1/matchmaking/rulesets/{ruleset_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

ruleset_id*string

Ruleset ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/rulesets/string"
{  "ruleset": {    "hard_constraints": [      {        "description": "string",        "expression": null,        "rule_id": "string",        "weight": 0.1      }    ],    "metadata": {      "property1": null,      "property2": null    },    "name": "string",    "ruleset_id": "string",    "soft_preferences": [      {        "description": "string",        "expression": null,        "rule_id": "string",        "weight": 0.1      }    ],    "version": 0  }}
DELETE/api/v1/matchmaking/rulesets/{ruleset_id}
DELETE
/api/v1/matchmaking/rulesets/{ruleset_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

ruleset_id*string

Ruleset ID

Response Body

curl -X DELETE "https://example.com/api/v1/matchmaking/rulesets/string"
Empty
GET/api/v1/matchmaking/tickets/{ticket_id}
GET
/api/v1/matchmaking/tickets/{ticket_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

ticket_id*string

Ticket ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/matchmaking/tickets/string"
{  "ticket": {    "attributes": {      "property1": null,      "property2": null    },    "created_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "group_id": "string",    "pool_id": "string",    "priority": 0.1,    "status": "waiting",    "ticket_id": "string",    "user_id": "string"  }}
DELETE/api/v1/matchmaking/tickets/{ticket_id}
DELETE
/api/v1/matchmaking/tickets/{ticket_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

ticket_id*string

Ticket ID

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/matchmaking/tickets/string"
{  "success": true}

On this page